%define upstream_name    Filesys-Notify-Simple
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple and dumb file system watcher
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::SharedFork)
BuildArch:  noarch

%description
Filesys::Notify::Simple is a simple but unified interface to get
notifications of changes to a given filesystem path. It utilizes inotify2
on Linux and fsevents on OS X if they're installed, with a fallback to the
full directory scan if they're not available.

There are some limitations in this module. If you don't like it, use the
File::ChangeNotify manpage.

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 528707
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 446957
- update to 0.12

* Fri Jun 07 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 439290
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 367465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 154305
- update to 0.08

* Mon Jun 20 2011 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 110597
- imported package perl-Filesys-Notify-Simple


* Mon Jun 20 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
